import { buildConfig } from 'payload/config';
import path from 'path';
// import Examples from './collections/Examples';
import Users from './collections/Users';
import Couriers from './collections/Couriers';
import Dispatches from './collections/Dispatches';
import Makers from './collections/Makers';
import Products from './collections/Products';
import Retailers from './collections/Retailers';


export default buildConfig({
  serverURL: process.env.PAYLOAD_PUBLIC_SERVER_URL,
  admin: {
    user: Users.slug,
  },
  collections: [
    Users,
    Couriers,
    Dispatches,
    Makers,
    Products,
    Retailers,
  ],
  typescript: {
    outputFile: path.resolve(__dirname, 'payload-types.ts'),
  },
  graphQL: {
    schemaOutputFile: path.resolve(__dirname, 'generated-schema.graphql'),
  },
});
